Get Donor
curl --request GET \
--url https://server.stage.overflow.co/api/v3/donors/{donorId} \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/donors/{donorId}"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/donors/{donorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "6710f34fd5061afeec3eab57",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1234567890",
"address": {
"line1": "123 Main St",
"line2": "Apt 1",
"city": "Anytown",
"state": "CA",
"zip": "12345"
},
"activeRecurringCount": 1,
"latestContributionDate": "2025-01-01T00:00:00.000",
"locationIds": [
"6710f34fd5061afeec3eab57"
],
"totalContributionsCount": 10
}
}Get Donor
Returns donor for given ID.
GET
/
api
/
v3
/
donors
/
{donorId}
Get Donor
Authorizations
Client ID for API authentication
API Key for API authentication
Path Parameters
The ID of the donor to fetch.
Example:
"2ea1ae03ca521e437db76d76"
Response
The donor for the given ID
Show child attributes
Show child attributes
Last modified on July 14, 2026
Was this page helpful?
⌘I